#
# spec file for package npapi-vlc
#
# Copyright (c) 2012 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           npapi-vlc
Version:        2.0.2_git201206081001
Release:        1.1
Summary:        Enables VLC inside browsers
License:        GPL-2.0+
Group:          Productivity/Multimedia/Video/Players
Url:            http://www.videolan.org/
Source0:        http://download.videolan.org/pub/videolan/vlc/%{version}/npapi-vlc-%{version}.tar.xz
Patch0:         npapi-vlc-2.0.0-no_return.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
BuildRequires:  gcc-c++
BuildRequires:  libtool
BuildRequires:  pkg-config
BuildRequires:  xz
BuildRequires:  pkgconfig(cairo)
BuildRequires:  pkgconfig(gdk-pixbuf-2.0)
BuildRequires:  pkgconfig(gdk-x11-2.0)
BuildRequires:  pkgconfig(glib-2.0)
BuildRequires:  pkgconfig(gobject-2.0)
BuildRequires:  pkgconfig(gtk+-x11-2.0)
BuildRequires:  pkgconfig(libvlc) >= 1.1.0
BuildRequires:  mozilla-xulrunner20-devel
BuildRequires:  pkgconfig(x11)
# openSUSE 12.1 was the latest version using vlc-mozillaplugin
Provides:       vlc-mozillaplugin = %{version}
Obsoletes:      vlc-mozillaplugin < 2.0.0
Enhances:       browser(npapi)

%description
With this plugin you enable video content withing browsers.

%prep
%setup -q
%patch0

%build
./autogen.sh
%configure --disable-silent-rules
make %{?_smp_mflags}

%install
make install DESTDIR=%{?buildroot} npvlcdir=%{_libdir}/browser-plugins/
rm %{buildroot}%{_libdir}/browser-plugins/libvlcplugin.la

%files
%defattr(0644,root,root,0755)
%doc AUTHORS ChangeLog COPYING NEWS README
%{_libdir}/browser-plugins/libvlcplugin.so

%changelog
* Wed Jun 27 2012 crrodriguez@opensuse.org
- Update to version 2.0.2
* Thu Apr 19 2012 reddwarf@opensuse.org
- Initial package
